-- phpMyAdmin SQL Dump
-- version 3.5.2.2
-- http://www.phpmyadmin.net
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 30-10-2013 a las 06:30:24
-- Versión del servidor: 5.5.27
-- Versión de PHP: 5.4.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `ferreteria`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `articulos`
--

CREATE TABLE IF NOT EXISTS `articulos` (
  `idArticulos` int(11) NOT NULL AUTO_INCREMENT,
  `descripcion` varchar(45) DEFAULT NULL,
  `costo_actual` decimal(10,2) DEFAULT NULL,
  `margen_ganancia` decimal(10,2) DEFAULT NULL,
  `cod_tipo_iva` int(11) DEFAULT NULL,
  `stock_actual` int(11) DEFAULT NULL,
  `stock_minimo` int(11) DEFAULT NULL,
  `cod_marca` int(11) DEFAULT NULL,
  `cod_sector` int(11) NOT NULL,
  PRIMARY KEY (`idArticulos`),
  KEY `Articulos_tipoiva_idx` (`cod_tipo_iva`),
  KEY `Articulos_marcas_idx` (`cod_marca`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=19 ;

--
-- Volcado de datos para la tabla `articulos`
--

INSERT INTO `articulos` (`idArticulos`, `descripcion`, `costo_actual`, `margen_ganancia`, `cod_tipo_iva`, `stock_actual`, `stock_minimo`, `cod_marca`, `cod_sector`) VALUES
(1, 'TORNILLOS', 11.00, 20.00, 1, 47, 45, 2, 1),
(2, 'REEL', 9.80, 80.00, NULL, 9, 10, 1, 2),
(3, 'NYLON', 61.00, 15.00, NULL, 229, 80, 2, 1),
(18, 'CINTA METRICA', 10.00, 0.00, NULL, 0, 45, 1, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `clientes`
--

CREATE TABLE IF NOT EXISTS `clientes` (
  `idClientes` int(11) NOT NULL AUTO_INCREMENT,
  `cod_persona` int(11) DEFAULT NULL,
  `fecha_alta` date DEFAULT NULL,
  `ctacte_habilitado` int(11) DEFAULT NULL,
  `cod_estado` int(11) DEFAULT NULL,
  `saldo_actual` decimal(10,2) DEFAULT NULL,
  `eliminado` varchar(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`idClientes`),
  KEY `Clientes_Estado_idx` (`cod_estado`),
  KEY `fk_Clientes_personas` (`cod_persona`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=14 ;

--
-- Volcado de datos para la tabla `clientes`
--

INSERT INTO `clientes` (`idClientes`, `cod_persona`, `fecha_alta`, `ctacte_habilitado`, `cod_estado`, `saldo_actual`, `eliminado`) VALUES
(10, 36, '2013-09-26', 1, 2, 100.00, 'S'),
(11, 35, '2013-09-03', 0, 2, 20.00, 'N'),
(12, 37, '2013-09-26', 1, 1, 210.86, 'N'),
(13, 38, '2013-09-03', 1, 1, 61.68, 'N');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `compras`
--

CREATE TABLE IF NOT EXISTS `compras` (
  `idcompras` int(11) NOT NULL AUTO_INCREMENT,
  `cod_proveedor` int(11) DEFAULT NULL,
  `fecha_factura` date DEFAULT NULL,
  `numero_factura` int(11) DEFAULT NULL,
  `monto_factura` decimal(10,2) DEFAULT NULL,
  PRIMARY KEY (`idcompras`),
  KEY `compras_proveedor_idx` (`cod_proveedor`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `condicion_iva`
--

CREATE TABLE IF NOT EXISTS `condicion_iva` (
  `id_estado` int(11) NOT NULL AUTO_INCREMENT,
  `Estado` varchar(45) DEFAULT NULL,
  `alicuota1` float NOT NULL,
  `alicuota2` float NOT NULL,
  PRIMARY KEY (`id_estado`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `condicion_iva`
--

INSERT INTO `condicion_iva` (`id_estado`, `Estado`, `alicuota1`, `alicuota2`) VALUES
(1, 'RESPONSABLE INSCRIPTO', 10.5, 21),
(2, 'MONOTRIBUTISTA', 0, 21);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `cta_cte`
--

CREATE TABLE IF NOT EXISTS `cta_cte` (
  `idCta_cte` int(11) NOT NULL AUTO_INCREMENT,
  `cod_cliente` int(11) DEFAULT NULL,
  `fecha_operacion` date DEFAULT NULL,
  `descripcion` varchar(45) DEFAULT NULL,
  `cod_tipo_operacion` int(11) DEFAULT NULL,
  `monto` decimal(10,2) DEFAULT NULL,
  PRIMARY KEY (`idCta_cte`),
  KEY `fk_cta_cte_tipooperacion_idx` (`cod_tipo_operacion`),
  KEY `fk_cta_cte_clientes_idx` (`cod_cliente`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Volcado de datos para la tabla `cta_cte`
--

INSERT INTO `cta_cte` (`idCta_cte`, `cod_cliente`, `fecha_operacion`, `descripcion`, `cod_tipo_operacion`, `monto`) VALUES
(1, 13, '2013-09-03', 'Venta NÂº 9', 1, 30.84),
(2, 13, '2013-09-03', 'Venta NÂº 9', 1, 30.84),
(3, 12, '2013-09-03', 'Venta NÂº 10', 1, 105.43),
(4, 12, '2013-09-03', 'Venta NÂº 10', 1, 105.43),
(5, 10, '2013-09-26', 'PAGO', 2, 100.00);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_compras`
--

CREATE TABLE IF NOT EXISTS `detalle_compras` (
  `idDetalle_compras` int(11) NOT NULL AUTO_INCREMENT,
  `cod_compra` int(11) DEFAULT NULL,
  `cod_articulo` int(11) DEFAULT NULL,
  `cantidad` int(11) DEFAULT NULL,
  `costo` decimal(10,2) DEFAULT NULL,
  `subeStock` date NOT NULL,
  PRIMARY KEY (`idDetalle_compras`),
  KEY `Detalle_compras_compras_idx` (`cod_compra`),
  KEY `Detalle_compras_articulos_idx` (`cod_articulo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `detalle_ventas`
--

CREATE TABLE IF NOT EXISTS `detalle_ventas` (
  `idDetalle_ventas` int(11) NOT NULL AUTO_INCREMENT,
  `cod_venta` int(11) DEFAULT NULL,
  `cod_articulo` int(11) DEFAULT NULL,
  `cantidad` int(11) DEFAULT NULL,
  `precio_final` decimal(10,2) DEFAULT NULL,
  `bajaStock` date NOT NULL,
  PRIMARY KEY (`idDetalle_ventas`),
  KEY `Detalle_ventas_ventas_idx` (`cod_venta`),
  KEY `Detalle_ventas_articulos_idx` (`cod_articulo`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Volcado de datos para la tabla `detalle_ventas`
--

INSERT INTO `detalle_ventas` (`idDetalle_ventas`, `cod_venta`, `cod_articulo`, `cantidad`, `precio_final`, `bajaStock`) VALUES
(1, 9, 3, 1, 70.15, '2013-09-03'),
(2, 9, 3, 2, 70.15, '2013-09-03'),
(3, 10, 1, 1, 13.20, '2013-09-03'),
(4, 10, 2, 1, 17.64, '2013-09-03'),
(5, 11, 3, 1, 70.15, '2013-09-03'),
(6, 11, 2, 2, 17.64, '2013-09-03');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `forma_de_pago`
--

CREATE TABLE IF NOT EXISTS `forma_de_pago` (
  `idforma_de_pago` int(11) NOT NULL AUTO_INCREMENT,
  `descripcion` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idforma_de_pago`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `forma_de_pago`
--

INSERT INTO `forma_de_pago` (`idforma_de_pago`, `descripcion`) VALUES
(1, 'cuenta corriente'),
(2, 'contado');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `generales`
--

CREATE TABLE IF NOT EXISTS `generales` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `factura` int(11) NOT NULL,
  `razonsocial` varchar(100) NOT NULL,
  `cuit` varchar(20) NOT NULL,
  `domicilio` varchar(60) NOT NULL,
  `provincia` int(11) NOT NULL,
  `localidad` int(11) NOT NULL,
  `iva` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `generales`
--

INSERT INTO `generales` (`id`, `factura`, `razonsocial`, `cuit`, `domicilio`, `provincia`, `localidad`, `iva`) VALUES
(1, 10, 'Ferretería Mendoza', '30-12345685-9', 'Almafuerte 540', 1, 1, 2);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `localidades`
--

CREATE TABLE IF NOT EXISTS `localidades` (
  `idLocalidades` int(11) NOT NULL AUTO_INCREMENT,
  `localidad` varchar(45) DEFAULT NULL,
  `cp` int(11) DEFAULT NULL,
  `cod_provincia` int(11) DEFAULT NULL,
  PRIMARY KEY (`idLocalidades`),
  KEY `Localidades_Provincias_idx` (`cod_provincia`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Volcado de datos para la tabla `localidades`
--

INSERT INTO `localidades` (`idLocalidades`, `localidad`, `cp`, `cod_provincia`) VALUES
(1, 'PARANA', 3100, 1),
(2, 'DIAMANTE', 3100, 1),
(3, 'SANTA FE', 3000, 1),
(4, 'SAN BENITO', 3100, 1),
(5, 'FELICIANO', 0, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `marcas`
--

CREATE TABLE IF NOT EXISTS `marcas` (
  `idMarcas` int(11) NOT NULL AUTO_INCREMENT,
  `marca` varchar(45) DEFAULT NULL,
  `idSectores` int(11) NOT NULL,
  PRIMARY KEY (`idMarcas`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Volcado de datos para la tabla `marcas`
--

INSERT INTO `marcas` (`idMarcas`, `marca`, `idSectores`) VALUES
(1, 'COLOMBRARO', 1),
(2, 'SIMBAC', 8),
(3, 'DEVETAC', 1),
(4, 'SPINIT', 8),
(5, 'AYUDIN', 7),
(6, 'COLONBARO', 2);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `personas`
--

CREATE TABLE IF NOT EXISTS `personas` (
  `idPersonas` int(11) NOT NULL AUTO_INCREMENT,
  `cuit_dni` varchar(45) DEFAULT NULL,
  `razon_social` varchar(45) DEFAULT NULL,
  `nombre` varchar(45) DEFAULT NULL,
  `apellido` varchar(45) DEFAULT NULL,
  `dom_calle` varchar(45) DEFAULT NULL,
  `dom_numero` int(11) DEFAULT NULL,
  `dom_piso` varchar(45) DEFAULT NULL,
  `dom_departamento` varchar(45) DEFAULT NULL,
  `dom_barrio` varchar(45) DEFAULT NULL,
  `dom_manzana` varchar(45) DEFAULT NULL,
  `dom_otro` varchar(45) DEFAULT NULL,
  `numero_telefono` int(13) DEFAULT NULL,
  `numero_celular` int(13) DEFAULT NULL,
  `email` varchar(45) DEFAULT NULL,
  `cod_iva` int(11) DEFAULT NULL,
  `cod_localidad` int(11) DEFAULT NULL,
  PRIMARY KEY (`idPersonas`),
  KEY `Personas_Localidades_idx` (`cod_localidad`),
  KEY `Personas_Condicioniva_idx` (`cod_iva`),
  KEY `cod_localidad` (`cod_localidad`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=39 ;

--
-- Volcado de datos para la tabla `personas`
--

INSERT INTO `personas` (`idPersonas`, `cuit_dni`, `razon_social`, `nombre`, `apellido`, `dom_calle`, `dom_numero`, `dom_piso`, `dom_departamento`, `dom_barrio`, `dom_manzana`, `dom_otro`, `numero_telefono`, `numero_celular`, `email`, `cod_iva`, `cod_localidad`) VALUES
(35, '12345678', 'AAA', 'EZEQUIEL', 'MONZON', 'LARRAMENDI1', 2312, '', '', '', '', '', 0, 0, 'eze@hotmail.com', 1, 3),
(36, '11111111', '', 'GABRIEL', 'GIMENEZ', 'LARRAMENDI', 121311213, '', '', '', '', '', 0, 0, 'gonzalom@hotmail.com', 2, 1),
(37, '123456789', '', 'EZEQUIEL', 'VARINI', 'LARRAMENDI', 5435, '', '', '', '', '', 0, 0, 'ezem@hotmail.com', 1, 1),
(38, '54354343', '', 'GABRIEL N', 'GIMENEZ', 'LARRAMENDI', 8393, '', '', '', '', '', 0, 0, 'eze19_90@live.com', 2, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `proveedores`
--

CREATE TABLE IF NOT EXISTS `proveedores` (
  `idProveedores` int(11) NOT NULL AUTO_INCREMENT,
  `cod_persona` int(11) DEFAULT NULL,
  `cod_sector` int(11) DEFAULT NULL,
  `contacto` varchar(45) DEFAULT NULL,
  `eliminado` varchar(45) NOT NULL,
  PRIMARY KEY (`idProveedores`),
  KEY `fk_Proveedores_sectores` (`cod_sector`),
  KEY `fk_Proveedores_personas` (`cod_persona`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

--
-- Volcado de datos para la tabla `proveedores`
--

INSERT INTO `proveedores` (`idProveedores`, `cod_persona`, `cod_sector`, `contacto`, `eliminado`) VALUES
(7, 35, 5, '4225259', ''),
(8, 37, 7, '4563233', ''),
(9, 36, 8, '15789545', '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `provincias`
--

CREATE TABLE IF NOT EXISTS `provincias` (
  `idProvincias` int(11) NOT NULL AUTO_INCREMENT,
  `provincia` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idProvincias`),
  UNIQUE KEY `idProvincias_UNIQUE` (`idProvincias`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Volcado de datos para la tabla `provincias`
--

INSERT INTO `provincias` (`idProvincias`, `provincia`) VALUES
(1, 'ENTRE RIOS'),
(2, 'SANTA FE'),
(3, 'CORRIENTES'),
(4, 'BUENOS AIRES'),
(5, 'NEUQUEN');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sectores`
--

CREATE TABLE IF NOT EXISTS `sectores` (
  `idSectores` int(11) NOT NULL AUTO_INCREMENT,
  `sector` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idSectores`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

--
-- Volcado de datos para la tabla `sectores`
--

INSERT INTO `sectores` (`idSectores`, `sector`) VALUES
(1, 'INDUSTRIAL METAL'),
(2, 'TORNILLOS'),
(3, 'HERRAMIENTAS MADERA'),
(4, 'LUZ'),
(5, 'MAQUINARIA PESADA'),
(6, 'HERRAMIENTAS PEQUEÃ±AS'),
(7, 'BULONERIA'),
(8, 'PESCA'),
(9, 'BAZAR');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipo_iva`
--

CREATE TABLE IF NOT EXISTS `tipo_iva` (
  `idtipo_iva` int(11) NOT NULL AUTO_INCREMENT,
  `alicuota_` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idtipo_iva`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `tipo_iva`
--

INSERT INTO `tipo_iva` (`idtipo_iva`, `alicuota_`) VALUES
(1, '10.5'),
(2, '21');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipo_operacion`
--

CREATE TABLE IF NOT EXISTS `tipo_operacion` (
  `idtipo_operacion` int(11) NOT NULL AUTO_INCREMENT,
  `operacion` varchar(45) DEFAULT NULL,
  `descripcion` varchar(5) NOT NULL,
  PRIMARY KEY (`idtipo_operacion`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Volcado de datos para la tabla `tipo_operacion`
--

INSERT INTO `tipo_operacion` (`idtipo_operacion`, `operacion`, `descripcion`) VALUES
(1, 'ingreso', 'suma'),
(2, 'egreso', 'resta'),
(3, 'Saldo inicial positivo', 'suma'),
(4, 'Saldo inicial negativo', 'resta');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE IF NOT EXISTS `usuarios` (
  `idusuarios` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(45) DEFAULT NULL,
  `apellido` varchar(45) DEFAULT NULL,
  `usuario` varchar(45) DEFAULT NULL,
  `password` varchar(45) DEFAULT NULL,
  `seguridad` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idusuarios`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`idusuarios`, `nombre`, `apellido`, `usuario`, `password`, `seguridad`) VALUES
(1, 'Ezequiel', 'Varini', 'ezequiel', '7c4a8d09ca3762af61e59520943dc26494f8941b', 'avanzado'),
(2, 'Flavia', 'Aybar', 'flavia', '7c4a8d09ca3762af61e59520943dc26494f8941b', 'avanzado');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `ventas`
--

CREATE TABLE IF NOT EXISTS `ventas` (
  `idVentas` int(11) NOT NULL AUTO_INCREMENT,
  `cod_cliente` int(11) DEFAULT NULL,
  `fecha_factura` date DEFAULT NULL,
  `num_factura` int(11) DEFAULT NULL,
  `monto_factura` decimal(10,2) DEFAULT NULL,
  `cod_forma_pago` int(11) DEFAULT NULL,
  PRIMARY KEY (`idVentas`),
  KEY `Ventas_clientes_idx` (`cod_cliente`),
  KEY `Ventas_formapago_idx` (`cod_forma_pago`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=12 ;

--
-- Volcado de datos para la tabla `ventas`
--

INSERT INTO `ventas` (`idVentas`, `cod_cliente`, `fecha_factura`, `num_factura`, `monto_factura`, `cod_forma_pago`) VALUES
(9, 10, '2013-09-03', 8, 150.30, 2),
(10, 13, '2013-09-03', 9, 30.84, 1),
(11, 12, '2013-09-03', 10, 105.43, 1);

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `clientes`
--
ALTER TABLE `clientes`
  ADD CONSTRAINT `clientes_ibfk_2` FOREIGN KEY (`cod_estado`) REFERENCES `tipo_operacion` (`idtipo_operacion`) ON DELETE NO ACTION ON UPDATE CASCADE,
  ADD CONSTRAINT `clientes_ibfk_3` FOREIGN KEY (`cod_persona`) REFERENCES `personas` (`idPersonas`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `compras`
--
ALTER TABLE `compras`
  ADD CONSTRAINT `compras_ibfk_2` FOREIGN KEY (`cod_proveedor`) REFERENCES `proveedores` (`idProveedores`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Filtros para la tabla `cta_cte`
--
ALTER TABLE `cta_cte`
  ADD CONSTRAINT `cta_cte_ibfk_4` FOREIGN KEY (`cod_tipo_operacion`) REFERENCES `tipo_operacion` (`idtipo_operacion`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `cta_cte_ibfk_5` FOREIGN KEY (`cod_cliente`) REFERENCES `clientes` (`idClientes`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `detalle_compras`
--
ALTER TABLE `detalle_compras`
  ADD CONSTRAINT `detalle_compras_ibfk_1` FOREIGN KEY (`cod_compra`) REFERENCES `compras` (`idcompras`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `detalle_compras_ibfk_2` FOREIGN KEY (`cod_articulo`) REFERENCES `articulos` (`idArticulos`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Filtros para la tabla `detalle_ventas`
--
ALTER TABLE `detalle_ventas`
  ADD CONSTRAINT `detalle_ventas_ibfk_1` FOREIGN KEY (`cod_venta`) REFERENCES `ventas` (`idVentas`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `detalle_ventas_ibfk_2` FOREIGN KEY (`cod_articulo`) REFERENCES `articulos` (`idArticulos`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Filtros para la tabla `localidades`
--
ALTER TABLE `localidades`
  ADD CONSTRAINT `fk_Localidades_Provincias` FOREIGN KEY (`cod_provincia`) REFERENCES `provincias` (`idProvincias`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `personas`
--
ALTER TABLE `personas`
  ADD CONSTRAINT `personas_ibfk_1` FOREIGN KEY (`cod_iva`) REFERENCES `condicion_iva` (`id_estado`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `personas_ibfk_2` FOREIGN KEY (`cod_localidad`) REFERENCES `localidades` (`idLocalidades`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Filtros para la tabla `proveedores`
--
ALTER TABLE `proveedores`
  ADD CONSTRAINT `proveedores_ibfk_1` FOREIGN KEY (`cod_persona`) REFERENCES `personas` (`idPersonas`) ON DELETE NO ACTION ON UPDATE CASCADE,
  ADD CONSTRAINT `proveedores_ibfk_2` FOREIGN KEY (`cod_sector`) REFERENCES `sectores` (`idSectores`) ON DELETE NO ACTION ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
